summaryrefslogtreecommitdiff
path: root/t/t7005-editor.sh
diff options
context:
space:
mode:
authorLibravatar Junio C Hamano <gitster@pobox.com>2009-03-19 16:00:15 -0700
committerLibravatar Junio C Hamano <gitster@pobox.com>2009-03-19 16:00:15 -0700
commit6066f5ae75ec0feea7745e19e06b95d991d82665 (patch)
tree61b4d3c80d5fca4369d2fd30c072b2e8357d53ff /t/t7005-editor.sh
parentrebase: add options passed to git-am (diff)
parentt5602: Work around path mangling on MSYS (diff)
downloadtgif-6066f5ae75ec0feea7745e19e06b95d991d82665.tar.xz
Merge branch 'js/windows-tests'
* js/windows-tests: t5602: Work around path mangling on MSYS t5300, t5302, t5303: Do not use /dev/zero t2200, t7004: Avoid glob pattern that also matches files t7300: fix clean up on Windows test-lib: Introduce test_chmod and use it instead of update-index --chmod test-lib: Simplify test counting. test-lib: Replace uses of $(expr ...) by POSIX shell features. Call 'say' outside test_expect_success test suite: Use 'say' to say something instead of 'test_expect_success' t9400, t9401: Do not force hard-linked clone
Diffstat (limited to 't/t7005-editor.sh')
-rwxr-xr-xt/t7005-editor.sh29
1 files changed, 13 insertions, 16 deletions
diff --git a/t/t7005-editor.sh b/t/t7005-editor.sh
index 2d919d69ef..2f8404afbb 100755
--- a/t/t7005-editor.sh
+++ b/t/t7005-editor.sh
@@ -87,30 +87,27 @@ do
'
done
+if ! echo 'echo space > "$1"' > "e space.sh"
+then
+ say "Skipping; FS does not support spaces in filenames"
+ test_done
+ exit
+fi
+
test_expect_success 'editor with a space' '
- if echo "echo space > \"\$1\"" > "e space.sh"
- then
- chmod a+x "e space.sh" &&
- GIT_EDITOR="./e\ space.sh" git commit --amend &&
- test space = "$(git show -s --pretty=format:%s)"
- else
- say "Skipping; FS does not support spaces in filenames"
- fi
+ chmod a+x "e space.sh" &&
+ GIT_EDITOR="./e\ space.sh" git commit --amend &&
+ test space = "$(git show -s --pretty=format:%s)"
'
unset GIT_EDITOR
test_expect_success 'core.editor with a space' '
- if test -f "e space.sh"
- then
- git config core.editor \"./e\ space.sh\" &&
- git commit --amend &&
- test space = "$(git show -s --pretty=format:%s)"
- else
- say "Skipping; FS does not support spaces in filenames"
- fi
+ git config core.editor \"./e\ space.sh\" &&
+ git commit --amend &&
+ test space = "$(git show -s --pretty=format:%s)"
'